Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network59.22.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
59.22.64.0
Broadcast address
59.22.127.255
First usable
59.22.64.1
Last usable
59.22.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 3B164000 · Integer 991313920 to 991330303
Reverse DNS zones
64.22.59.in-addr.arpa
65.22.59.in-addr.arpa
66.22.59.in-addr.arpa
67.22.59.in-addr.arpa
68.22.59.in-addr.arpa
69.22.59.in-addr.arpa
70.22.59.in-addr.arpa
71.22.59.in-addr.arpa
72.22.59.in-addr.arpa
73.22.59.in-addr.arpa
74.22.59.in-addr.arpa
75.22.59.in-addr.arpa
76.22.59.in-addr.arpa
77.22.59.in-addr.arpa
78.22.59.in-addr.arpa
79.22.59.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111011.00010110.01000000.0000000059.22.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00111011.00010110.01000000.0000000059.22.64.0
Broadcast00111011.00010110.01111111.1111111159.22.127.255
Split into smaller subnets/30

59.22.64.0/18 makes 4,096 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
159.22.64.0/3059.22.64.1 to 59.22.64.259.22.64.32
259.22.64.4/3059.22.64.5 to 59.22.64.659.22.64.72
359.22.64.8/3059.22.64.9 to 59.22.64.1059.22.64.112
459.22.64.12/3059.22.64.13 to 59.22.64.1459.22.64.152
559.22.64.16/3059.22.64.17 to 59.22.64.1859.22.64.192
659.22.64.20/3059.22.64.21 to 59.22.64.2259.22.64.232
759.22.64.24/3059.22.64.25 to 59.22.64.2659.22.64.272
859.22.64.28/3059.22.64.29 to 59.22.64.3059.22.64.312
959.22.64.32/3059.22.64.33 to 59.22.64.3459.22.64.352
1059.22.64.36/3059.22.64.37 to 59.22.64.3859.22.64.392
1159.22.64.40/3059.22.64.41 to 59.22.64.4259.22.64.432
1259.22.64.44/3059.22.64.45 to 59.22.64.4659.22.64.472
1359.22.64.48/3059.22.64.49 to 59.22.64.5059.22.64.512
1459.22.64.52/3059.22.64.53 to 59.22.64.5459.22.64.552
1559.22.64.56/3059.22.64.57 to 59.22.64.5859.22.64.592
1659.22.64.60/3059.22.64.61 to 59.22.64.6259.22.64.632
1759.22.64.64/3059.22.64.65 to 59.22.64.6659.22.64.672
1859.22.64.68/3059.22.64.69 to 59.22.64.7059.22.64.712
1959.22.64.72/3059.22.64.73 to 59.22.64.7459.22.64.752
2059.22.64.76/3059.22.64.77 to 59.22.64.7859.22.64.792
2159.22.64.80/3059.22.64.81 to 59.22.64.8259.22.64.832
2259.22.64.84/3059.22.64.85 to 59.22.64.8659.22.64.872
2359.22.64.88/3059.22.64.89 to 59.22.64.9059.22.64.912
2459.22.64.92/3059.22.64.93 to 59.22.64.9459.22.64.952
2559.22.64.96/3059.22.64.97 to 59.22.64.9859.22.64.992
2659.22.64.100/3059.22.64.101 to 59.22.64.10259.22.64.1032
2759.22.64.104/3059.22.64.105 to 59.22.64.10659.22.64.1072
2859.22.64.108/3059.22.64.109 to 59.22.64.11059.22.64.1112
2959.22.64.112/3059.22.64.113 to 59.22.64.11459.22.64.1152
3059.22.64.116/3059.22.64.117 to 59.22.64.11859.22.64.1192
3159.22.64.120/3059.22.64.121 to 59.22.64.12259.22.64.1232
3259.22.64.124/3059.22.64.125 to 59.22.64.12659.22.64.1272
3359.22.64.128/3059.22.64.129 to 59.22.64.13059.22.64.1312
3459.22.64.132/3059.22.64.133 to 59.22.64.13459.22.64.1352
3559.22.64.136/3059.22.64.137 to 59.22.64.13859.22.64.1392
3659.22.64.140/3059.22.64.141 to 59.22.64.14259.22.64.1432
3759.22.64.144/3059.22.64.145 to 59.22.64.14659.22.64.1472
3859.22.64.148/3059.22.64.149 to 59.22.64.15059.22.64.1512
3959.22.64.152/3059.22.64.153 to 59.22.64.15459.22.64.1552
4059.22.64.156/3059.22.64.157 to 59.22.64.15859.22.64.1592
4159.22.64.160/3059.22.64.161 to 59.22.64.16259.22.64.1632
4259.22.64.164/3059.22.64.165 to 59.22.64.16659.22.64.1672
4359.22.64.168/3059.22.64.169 to 59.22.64.17059.22.64.1712
4459.22.64.172/3059.22.64.173 to 59.22.64.17459.22.64.1752
4559.22.64.176/3059.22.64.177 to 59.22.64.17859.22.64.1792
4659.22.64.180/3059.22.64.181 to 59.22.64.18259.22.64.1832
4759.22.64.184/3059.22.64.185 to 59.22.64.18659.22.64.1872
4859.22.64.188/3059.22.64.189 to 59.22.64.19059.22.64.1912
4959.22.64.192/3059.22.64.193 to 59.22.64.19459.22.64.1952
5059.22.64.196/3059.22.64.197 to 59.22.64.19859.22.64.1992
5159.22.64.200/3059.22.64.201 to 59.22.64.20259.22.64.2032
5259.22.64.204/3059.22.64.205 to 59.22.64.20659.22.64.2072
5359.22.64.208/3059.22.64.209 to 59.22.64.21059.22.64.2112
5459.22.64.212/3059.22.64.213 to 59.22.64.21459.22.64.2152
5559.22.64.216/3059.22.64.217 to 59.22.64.21859.22.64.2192
5659.22.64.220/3059.22.64.221 to 59.22.64.22259.22.64.2232
5759.22.64.224/3059.22.64.225 to 59.22.64.22659.22.64.2272
5859.22.64.228/3059.22.64.229 to 59.22.64.23059.22.64.2312
5959.22.64.232/3059.22.64.233 to 59.22.64.23459.22.64.2352
6059.22.64.236/3059.22.64.237 to 59.22.64.23859.22.64.2392
6159.22.64.240/3059.22.64.241 to 59.22.64.24259.22.64.2432
6259.22.64.244/3059.22.64.245 to 59.22.64.24659.22.64.2472
6359.22.64.248/3059.22.64.249 to 59.22.64.25059.22.64.2512
6459.22.64.252/3059.22.64.253 to 59.22.64.25459.22.64.2552
6559.22.65.0/3059.22.65.1 to 59.22.65.259.22.65.32
6659.22.65.4/3059.22.65.5 to 59.22.65.659.22.65.72
6759.22.65.8/3059.22.65.9 to 59.22.65.1059.22.65.112
6859.22.65.12/3059.22.65.13 to 59.22.65.1459.22.65.152
6959.22.65.16/3059.22.65.17 to 59.22.65.1859.22.65.192
7059.22.65.20/3059.22.65.21 to 59.22.65.2259.22.65.232
7159.22.65.24/3059.22.65.25 to 59.22.65.2659.22.65.272
7259.22.65.28/3059.22.65.29 to 59.22.65.3059.22.65.312
7359.22.65.32/3059.22.65.33 to 59.22.65.3459.22.65.352
7459.22.65.36/3059.22.65.37 to 59.22.65.3859.22.65.392
7559.22.65.40/3059.22.65.41 to 59.22.65.4259.22.65.432
7659.22.65.44/3059.22.65.45 to 59.22.65.4659.22.65.472
7759.22.65.48/3059.22.65.49 to 59.22.65.5059.22.65.512
7859.22.65.52/3059.22.65.53 to 59.22.65.5459.22.65.552
7959.22.65.56/3059.22.65.57 to 59.22.65.5859.22.65.592
8059.22.65.60/3059.22.65.61 to 59.22.65.6259.22.65.632
8159.22.65.64/3059.22.65.65 to 59.22.65.6659.22.65.672
8259.22.65.68/3059.22.65.69 to 59.22.65.7059.22.65.712
8359.22.65.72/3059.22.65.73 to 59.22.65.7459.22.65.752
8459.22.65.76/3059.22.65.77 to 59.22.65.7859.22.65.792
8559.22.65.80/3059.22.65.81 to 59.22.65.8259.22.65.832
8659.22.65.84/3059.22.65.85 to 59.22.65.8659.22.65.872
8759.22.65.88/3059.22.65.89 to 59.22.65.9059.22.65.912
8859.22.65.92/3059.22.65.93 to 59.22.65.9459.22.65.952
8959.22.65.96/3059.22.65.97 to 59.22.65.9859.22.65.992
9059.22.65.100/3059.22.65.101 to 59.22.65.10259.22.65.1032
9159.22.65.104/3059.22.65.105 to 59.22.65.10659.22.65.1072
9259.22.65.108/3059.22.65.109 to 59.22.65.11059.22.65.1112
9359.22.65.112/3059.22.65.113 to 59.22.65.11459.22.65.1152
9459.22.65.116/3059.22.65.117 to 59.22.65.11859.22.65.1192
9559.22.65.120/3059.22.65.121 to 59.22.65.12259.22.65.1232
9659.22.65.124/3059.22.65.125 to 59.22.65.12659.22.65.1272
9759.22.65.128/3059.22.65.129 to 59.22.65.13059.22.65.1312
9859.22.65.132/3059.22.65.133 to 59.22.65.13459.22.65.1352
9959.22.65.136/3059.22.65.137 to 59.22.65.13859.22.65.1392
10059.22.65.140/3059.22.65.141 to 59.22.65.14259.22.65.1432
10159.22.65.144/3059.22.65.145 to 59.22.65.14659.22.65.1472
10259.22.65.148/3059.22.65.149 to 59.22.65.15059.22.65.1512
10359.22.65.152/3059.22.65.153 to 59.22.65.15459.22.65.1552
10459.22.65.156/3059.22.65.157 to 59.22.65.15859.22.65.1592
10559.22.65.160/3059.22.65.161 to 59.22.65.16259.22.65.1632
10659.22.65.164/3059.22.65.165 to 59.22.65.16659.22.65.1672
10759.22.65.168/3059.22.65.169 to 59.22.65.17059.22.65.1712
10859.22.65.172/3059.22.65.173 to 59.22.65.17459.22.65.1752
10959.22.65.176/3059.22.65.177 to 59.22.65.17859.22.65.1792
11059.22.65.180/3059.22.65.181 to 59.22.65.18259.22.65.1832
11159.22.65.184/3059.22.65.185 to 59.22.65.18659.22.65.1872
11259.22.65.188/3059.22.65.189 to 59.22.65.19059.22.65.1912
11359.22.65.192/3059.22.65.193 to 59.22.65.19459.22.65.1952
11459.22.65.196/3059.22.65.197 to 59.22.65.19859.22.65.1992
11559.22.65.200/3059.22.65.201 to 59.22.65.20259.22.65.2032
11659.22.65.204/3059.22.65.205 to 59.22.65.20659.22.65.2072
11759.22.65.208/3059.22.65.209 to 59.22.65.21059.22.65.2112
11859.22.65.212/3059.22.65.213 to 59.22.65.21459.22.65.2152
11959.22.65.216/3059.22.65.217 to 59.22.65.21859.22.65.2192
12059.22.65.220/3059.22.65.221 to 59.22.65.22259.22.65.2232
12159.22.65.224/3059.22.65.225 to 59.22.65.22659.22.65.2272
12259.22.65.228/3059.22.65.229 to 59.22.65.23059.22.65.2312
12359.22.65.232/3059.22.65.233 to 59.22.65.23459.22.65.2352
12459.22.65.236/3059.22.65.237 to 59.22.65.23859.22.65.2392
12559.22.65.240/3059.22.65.241 to 59.22.65.24259.22.65.2432
12659.22.65.244/3059.22.65.245 to 59.22.65.24659.22.65.2472
12759.22.65.248/3059.22.65.249 to 59.22.65.25059.22.65.2512
12859.22.65.252/3059.22.65.253 to 59.22.65.25459.22.65.2552
12959.22.66.0/3059.22.66.1 to 59.22.66.259.22.66.32
13059.22.66.4/3059.22.66.5 to 59.22.66.659.22.66.72
13159.22.66.8/3059.22.66.9 to 59.22.66.1059.22.66.112
13259.22.66.12/3059.22.66.13 to 59.22.66.1459.22.66.152
13359.22.66.16/3059.22.66.17 to 59.22.66.1859.22.66.192
13459.22.66.20/3059.22.66.21 to 59.22.66.2259.22.66.232
13559.22.66.24/3059.22.66.25 to 59.22.66.2659.22.66.272
13659.22.66.28/3059.22.66.29 to 59.22.66.3059.22.66.312
13759.22.66.32/3059.22.66.33 to 59.22.66.3459.22.66.352
13859.22.66.36/3059.22.66.37 to 59.22.66.3859.22.66.392
13959.22.66.40/3059.22.66.41 to 59.22.66.4259.22.66.432
14059.22.66.44/3059.22.66.45 to 59.22.66.4659.22.66.472
14159.22.66.48/3059.22.66.49 to 59.22.66.5059.22.66.512
14259.22.66.52/3059.22.66.53 to 59.22.66.5459.22.66.552
14359.22.66.56/3059.22.66.57 to 59.22.66.5859.22.66.592
14459.22.66.60/3059.22.66.61 to 59.22.66.6259.22.66.632
14559.22.66.64/3059.22.66.65 to 59.22.66.6659.22.66.672
14659.22.66.68/3059.22.66.69 to 59.22.66.7059.22.66.712
14759.22.66.72/3059.22.66.73 to 59.22.66.7459.22.66.752
14859.22.66.76/3059.22.66.77 to 59.22.66.7859.22.66.792
14959.22.66.80/3059.22.66.81 to 59.22.66.8259.22.66.832
15059.22.66.84/3059.22.66.85 to 59.22.66.8659.22.66.872
15159.22.66.88/3059.22.66.89 to 59.22.66.9059.22.66.912
15259.22.66.92/3059.22.66.93 to 59.22.66.9459.22.66.952
15359.22.66.96/3059.22.66.97 to 59.22.66.9859.22.66.992
15459.22.66.100/3059.22.66.101 to 59.22.66.10259.22.66.1032
15559.22.66.104/3059.22.66.105 to 59.22.66.10659.22.66.1072
15659.22.66.108/3059.22.66.109 to 59.22.66.11059.22.66.1112
15759.22.66.112/3059.22.66.113 to 59.22.66.11459.22.66.1152
15859.22.66.116/3059.22.66.117 to 59.22.66.11859.22.66.1192
15959.22.66.120/3059.22.66.121 to 59.22.66.12259.22.66.1232
16059.22.66.124/3059.22.66.125 to 59.22.66.12659.22.66.1272
16159.22.66.128/3059.22.66.129 to 59.22.66.13059.22.66.1312
16259.22.66.132/3059.22.66.133 to 59.22.66.13459.22.66.1352
16359.22.66.136/3059.22.66.137 to 59.22.66.13859.22.66.1392
16459.22.66.140/3059.22.66.141 to 59.22.66.14259.22.66.1432
16559.22.66.144/3059.22.66.145 to 59.22.66.14659.22.66.1472
16659.22.66.148/3059.22.66.149 to 59.22.66.15059.22.66.1512
16759.22.66.152/3059.22.66.153 to 59.22.66.15459.22.66.1552
16859.22.66.156/3059.22.66.157 to 59.22.66.15859.22.66.1592
16959.22.66.160/3059.22.66.161 to 59.22.66.16259.22.66.1632
17059.22.66.164/3059.22.66.165 to 59.22.66.16659.22.66.1672
17159.22.66.168/3059.22.66.169 to 59.22.66.17059.22.66.1712
17259.22.66.172/3059.22.66.173 to 59.22.66.17459.22.66.1752
17359.22.66.176/3059.22.66.177 to 59.22.66.17859.22.66.1792
17459.22.66.180/3059.22.66.181 to 59.22.66.18259.22.66.1832
17559.22.66.184/3059.22.66.185 to 59.22.66.18659.22.66.1872
17659.22.66.188/3059.22.66.189 to 59.22.66.19059.22.66.1912
17759.22.66.192/3059.22.66.193 to 59.22.66.19459.22.66.1952
17859.22.66.196/3059.22.66.197 to 59.22.66.19859.22.66.1992
17959.22.66.200/3059.22.66.201 to 59.22.66.20259.22.66.2032
18059.22.66.204/3059.22.66.205 to 59.22.66.20659.22.66.2072
18159.22.66.208/3059.22.66.209 to 59.22.66.21059.22.66.2112
18259.22.66.212/3059.22.66.213 to 59.22.66.21459.22.66.2152
18359.22.66.216/3059.22.66.217 to 59.22.66.21859.22.66.2192
18459.22.66.220/3059.22.66.221 to 59.22.66.22259.22.66.2232
18559.22.66.224/3059.22.66.225 to 59.22.66.22659.22.66.2272
18659.22.66.228/3059.22.66.229 to 59.22.66.23059.22.66.2312
18759.22.66.232/3059.22.66.233 to 59.22.66.23459.22.66.2352
18859.22.66.236/3059.22.66.237 to 59.22.66.23859.22.66.2392
18959.22.66.240/3059.22.66.241 to 59.22.66.24259.22.66.2432
19059.22.66.244/3059.22.66.245 to 59.22.66.24659.22.66.2472
19159.22.66.248/3059.22.66.249 to 59.22.66.25059.22.66.2512
19259.22.66.252/3059.22.66.253 to 59.22.66.25459.22.66.2552
19359.22.67.0/3059.22.67.1 to 59.22.67.259.22.67.32
19459.22.67.4/3059.22.67.5 to 59.22.67.659.22.67.72
19559.22.67.8/3059.22.67.9 to 59.22.67.1059.22.67.112
19659.22.67.12/3059.22.67.13 to 59.22.67.1459.22.67.152
19759.22.67.16/3059.22.67.17 to 59.22.67.1859.22.67.192
19859.22.67.20/3059.22.67.21 to 59.22.67.2259.22.67.232
19959.22.67.24/3059.22.67.25 to 59.22.67.2659.22.67.272
20059.22.67.28/3059.22.67.29 to 59.22.67.3059.22.67.312
20159.22.67.32/3059.22.67.33 to 59.22.67.3459.22.67.352
20259.22.67.36/3059.22.67.37 to 59.22.67.3859.22.67.392
20359.22.67.40/3059.22.67.41 to 59.22.67.4259.22.67.432
20459.22.67.44/3059.22.67.45 to 59.22.67.4659.22.67.472
20559.22.67.48/3059.22.67.49 to 59.22.67.5059.22.67.512
20659.22.67.52/3059.22.67.53 to 59.22.67.5459.22.67.552
20759.22.67.56/3059.22.67.57 to 59.22.67.5859.22.67.592
20859.22.67.60/3059.22.67.61 to 59.22.67.6259.22.67.632
20959.22.67.64/3059.22.67.65 to 59.22.67.6659.22.67.672
21059.22.67.68/3059.22.67.69 to 59.22.67.7059.22.67.712
21159.22.67.72/3059.22.67.73 to 59.22.67.7459.22.67.752
21259.22.67.76/3059.22.67.77 to 59.22.67.7859.22.67.792
21359.22.67.80/3059.22.67.81 to 59.22.67.8259.22.67.832
21459.22.67.84/3059.22.67.85 to 59.22.67.8659.22.67.872
21559.22.67.88/3059.22.67.89 to 59.22.67.9059.22.67.912
21659.22.67.92/3059.22.67.93 to 59.22.67.9459.22.67.952
21759.22.67.96/3059.22.67.97 to 59.22.67.9859.22.67.992
21859.22.67.100/3059.22.67.101 to 59.22.67.10259.22.67.1032
21959.22.67.104/3059.22.67.105 to 59.22.67.10659.22.67.1072
22059.22.67.108/3059.22.67.109 to 59.22.67.11059.22.67.1112
22159.22.67.112/3059.22.67.113 to 59.22.67.11459.22.67.1152
22259.22.67.116/3059.22.67.117 to 59.22.67.11859.22.67.1192
22359.22.67.120/3059.22.67.121 to 59.22.67.12259.22.67.1232
22459.22.67.124/3059.22.67.125 to 59.22.67.12659.22.67.1272
22559.22.67.128/3059.22.67.129 to 59.22.67.13059.22.67.1312
22659.22.67.132/3059.22.67.133 to 59.22.67.13459.22.67.1352
22759.22.67.136/3059.22.67.137 to 59.22.67.13859.22.67.1392
22859.22.67.140/3059.22.67.141 to 59.22.67.14259.22.67.1432
22959.22.67.144/3059.22.67.145 to 59.22.67.14659.22.67.1472
23059.22.67.148/3059.22.67.149 to 59.22.67.15059.22.67.1512
23159.22.67.152/3059.22.67.153 to 59.22.67.15459.22.67.1552
23259.22.67.156/3059.22.67.157 to 59.22.67.15859.22.67.1592
23359.22.67.160/3059.22.67.161 to 59.22.67.16259.22.67.1632
23459.22.67.164/3059.22.67.165 to 59.22.67.16659.22.67.1672
23559.22.67.168/3059.22.67.169 to 59.22.67.17059.22.67.1712
23659.22.67.172/3059.22.67.173 to 59.22.67.17459.22.67.1752
23759.22.67.176/3059.22.67.177 to 59.22.67.17859.22.67.1792
23859.22.67.180/3059.22.67.181 to 59.22.67.18259.22.67.1832
23959.22.67.184/3059.22.67.185 to 59.22.67.18659.22.67.1872
24059.22.67.188/3059.22.67.189 to 59.22.67.19059.22.67.1912
24159.22.67.192/3059.22.67.193 to 59.22.67.19459.22.67.1952
24259.22.67.196/3059.22.67.197 to 59.22.67.19859.22.67.1992
24359.22.67.200/3059.22.67.201 to 59.22.67.20259.22.67.2032
24459.22.67.204/3059.22.67.205 to 59.22.67.20659.22.67.2072
24559.22.67.208/3059.22.67.209 to 59.22.67.21059.22.67.2112
24659.22.67.212/3059.22.67.213 to 59.22.67.21459.22.67.2152
24759.22.67.216/3059.22.67.217 to 59.22.67.21859.22.67.2192
24859.22.67.220/3059.22.67.221 to 59.22.67.22259.22.67.2232
24959.22.67.224/3059.22.67.225 to 59.22.67.22659.22.67.2272
25059.22.67.228/3059.22.67.229 to 59.22.67.23059.22.67.2312
25159.22.67.232/3059.22.67.233 to 59.22.67.23459.22.67.2352
25259.22.67.236/3059.22.67.237 to 59.22.67.23859.22.67.2392
25359.22.67.240/3059.22.67.241 to 59.22.67.24259.22.67.2432
25459.22.67.244/3059.22.67.245 to 59.22.67.24659.22.67.2472
25559.22.67.248/3059.22.67.249 to 59.22.67.25059.22.67.2512
25659.22.67.252/3059.22.67.253 to 59.22.67.25459.22.67.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses